/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   cat.cpp                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/01 19:49:11 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/01 20:18:55 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "cat.hpp"

Cat::Cat(void) : Animal("Cat"){
	log("➕", "Cat", "", "construtor called");
}

Cat::~Cat(void) {
	log("➖", "Cat", "", "destructor called");
}

Cat::Cat(const Cat &cpy) : Animal("Cat"){
	log("➕", "Cat", _type, "copy construtor called");
	*this = cpy;
}

Cat	&Cat::operator=(const Cat &cpy) {
	log("🟰", "Cat", "", "copy assignment construtor called");
	if (this != &cpy) {
		this->_type = cpy._type;
	}
	return (*this);
}

void	Cat::makeSound(void) const {
	log("🔊", "Cat", "", "Mmmmmmeeeeeeeeoooooooowwwwww");
}
